﻿// <auto-generated />
using System;
using Infraestrutura;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

namespace Infraestrutura.Migrations
{
    [DbContext(typeof(Contexto))]
    [Migration("20200626155314_ArquivosCadastro")]
    partial class ArquivosCadastro
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "3.1.5")
                .HasAnnotation("Relational:MaxIdentifierLength", 64);

            modelBuilder.Entity("Infraestrutura.Modelos.CadastroModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<string>("Agência")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CEP")
                        .HasColumnType("char(9)");

                    b.Property<string>("CPF")
                        .HasColumnType("char(14)");

                    b.Property<string>("CaminhoComprovanteBancário")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CaminhoComprovanteEndereço")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CaminhoDeclaraçãoDeResidência")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("CaminhoRGCPF")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Cidade")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Conta")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Email")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Endereço")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<DateTime>("Nascimento")
                        .HasColumnType("date");

                    b.Property<string>("Nome")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("NomeBanco")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Senha")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("Telefone")
                        .HasColumnType("char(15)");

                    b.HasKey("Id");

                    b.ToTable("Cadastros");
                });

            modelBuilder.Entity("Infraestrutura.Modelos.HackathonInscriçãoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<bool>("AceitouTermos")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("Análise")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("Aprovada")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("CadastroId")
                        .HasColumnType("int");

                    b.Property<string>("Membros")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.Property<string>("NomeEquipe")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.HasIndex("CadastroId");

                    b.ToTable("InscriçõesHackathon");
                });

            modelBuilder.Entity("Infraestrutura.Modelos.MinecraftInscriçãoModelo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("int");

                    b.Property<bool>("AceitouTermos")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("Análise")
                        .HasColumnType("tinyint(1)");

                    b.Property<bool>("Aprovada")
                        .HasColumnType("tinyint(1)");

                    b.Property<int?>("CadastroId")
                        .HasColumnType("int");

                    b.Property<string>("Nickname")
                        .HasColumnType("longtext CHARACTER SET utf8mb4");

                    b.HasKey("Id");

                    b.HasIndex("CadastroId");

                    b.ToTable("InscriçõesMinecraft");
                });

            modelBuilder.Entity("Infraestrutura.Modelos.HackathonInscriçãoModelo", b =>
                {
                    b.HasOne("Infraestrutura.Modelos.CadastroModelo", "Cadastro")
                        .WithMany()
                        .HasForeignKey("CadastroId");
                });

            modelBuilder.Entity("Infraestrutura.Modelos.MinecraftInscriçãoModelo", b =>
                {
                    b.HasOne("Infraestrutura.Modelos.CadastroModelo", "Cadastro")
                        .WithMany()
                        .HasForeignKey("CadastroId");
                });
#pragma warning restore 612, 618
        }
    }
}
